/*2017-01-16 add by yb
 * describe:微信前端，用户手机号码绑定
 */
$(document).ready(function(){
    /*
     * js手机号码正则校验
     * value -- 获取手机号
     */
    function checkTel(value){
        //var isMob=/^(?:13\d|15\d|18\d|17\d|14\d)-?\d{5}(\d{3}|\*{3})$/; //手机号码
        var isMob=/^(?:13\d|15\d|18\d|17\d|14\d|19\d|16\d)-?\d{5}(\d{3}|\*{3})$/; //手机号码
		if(!(isMob.test(value))){
			 return false;
		}
		else{
			 return true;
		}
    }

    $(".logintel").blur(function(event) {
        var _this = $(this);
        var val = _this.val();
        if(!val){
        	showTips("请输入手机号码");
        } else {
            var valtest = checkTel(val);  //手机正则校验
            if(!valtest) {
                _this.attr({
                    "placeholder": "请输入正确的手机号码"
                });
                showTips("请输入正确的手机号码");
            } 
        }
    });
    
    //点击获取验证码
    $(".obtain").click(function(event){
    	var telVal  = $(".logintel").val();
    	if(!telVal) {
    		 showTips("请输入正确的手机号码");
        }
    	else{
    		var valtest = checkTel(telVal);  //手机正则校验
            if(!valtest) {
                showTips("请输入正确的手机号码");
                return;
            } 
            if(this.innerHTML!="立即获取"){
            	return;
            }
            
    		time(this);
    		var contextPath=$("#contextPath").val();
    		$.ajax({
    	    	url: contextPath+"/wechat/sms/getAuthCode",
    	    	data: {userMobile:telVal},
    	        type: "POST",
    	        dataType: "json",
    	        success: function(json){
    	        },
    	        error: function(){
    	        }
    	    });	
    	}
    });
    
    // 点击确认提交
    $("#submitBtn").click(function(event){
        event.preventDefault();
        var telVal  = $(".logintel").val();
        var veriVal = $(".loginpsw").val();
        if(!telVal) {
        	 showTips("请输入正确的手机号码");
        	 return false;
        } else if(!veriVal) {
        	 showTips("请输入验证码");
        	 return false;
        } else {
        	var contextPath=$("#contextPath").val();
        	var userId=$("#userId").val();
        	$.ajax({
    	    	url: contextPath+"/wechat/appUser/modifyUserMobile",
    	    	data: {userId:userId,userMobile:telVal,authCode:veriVal},
    	        type: "POST",
    	        success: function(result){
    	        	if("200"==result.code){
    	        		$("#conditionForm").submit();
    	        	}
    	        	else if("codeError"==result){
    	        		showTips("验证码错误，请检查或重新获取");
    	        	}
    	        	else{
    	        		showTips("此电话号码已注册过.");
    	        	}
    	        },
    	        error: function(){
    	        	alert("请检查您的网络，通信超时.");
    	        }
    	    });	
        }
    });
});

function showModifyTel(){
	$("#sureTel").hide();
	$("#conditionForm").show();
}

var wait=60;
function time(o) {
	if (wait == 0) {
		o.removeAttribute("disabled");			
		o.innerHTML="立即获取";
		wait = 60;
	} else {
		o.setAttribute("disabled", true);
		o.innerHTML="重新发送(" + wait + ")";
		wait--;
		setTimeout(function() {
			time(o)
		},
		1000)
	}
}